osmium::index::multimap::HybridIterator< TId, TValue > Class Template Reference

`#include <hybrid.hpp>`

## Public Member Functions

| HybridIterator (typename main_map_type::iterator begin_main, typename main_map_type::iterator end_main, typename extra_map_type::iterator begin_extra, typename extra_map_type::iterator end_extra)
| ~HybridIterator () noexcept=default
HybridIterator & | operator++ ()
HybridIterator< TId, TValue > | operator++ (int)
bool | operator== (const HybridIterator &rhs) const
bool | operator!= (const HybridIterator &rhs) const
const element_type & | operator* ()
const element_type * | operator-> ()

## Private Types

typedef SparseMemArray< TId, TValue > | main_map_type
typedef SparseMemMultimap< TId, TValue > | extra_map_type
typedef std::pair< TId, TValue > | element_type

## Private Attributes

main_map_type::iterator | m_begin_main
main_map_type::iterator | m_end_main
extra_map_type::iterator | m_begin_extra
extra_map_type::iterator | m_end_extra

## Member Typedef Documentation

template<typename TId , typename TValue >

typedef std::pair<TId, TValue> osmium::index::multimap::HybridIterator< TId, TValue >::element_type

private

template<typename TId , typename TValue >

typedef SparseMemMultimap<TId, TValue> osmium::index::multimap::HybridIterator< TId, TValue >::extra_map_type

private

template<typename TId , typename TValue >

typedef SparseMemArray<TId, TValue> osmium::index::multimap::HybridIterator< TId, TValue >::main_map_type

private

## Constructor & Destructor Documentation

template<typename TId , typename TValue >

osmium::index::multimap::HybridIterator< TId, TValue >::HybridIterator | ( | typename main_map_type::iterator | begin_main,
|  | typename main_map_type::iterator | end_main,
|  | typename extra_map_type::iterator | begin_extra,
|  | typename extra_map_type::iterator | end_extra
| ) |  |

inline

template<typename TId , typename TValue >

osmium::index::multimap::HybridIterator< TId, TValue >::~HybridIterator | ( |  | ) |

default noexcept

## Member Function Documentation

template<typename TId , typename TValue >

bool osmium::index::multimap::HybridIterator< TId, TValue >::operator!= | ( | const HybridIterator< TId, TValue > & | rhs | ) | const

inline

template<typename TId , typename TValue >

const element_type& osmium::index::multimap::HybridIterator< TId, TValue >::operator* | ( |  | ) |

inline

template<typename TId , typename TValue >

HybridIterator& osmium::index::multimap::HybridIterator< TId, TValue >::operator++ | ( |  | ) |

inline

template<typename TId , typename TValue >

HybridIterator<TId, TValue> osmium::index::multimap::HybridIterator< TId, TValue >::operator++ | ( | int |  | ) |

inline

template<typename TId , typename TValue >

const element_type* osmium::index::multimap::HybridIterator< TId, TValue >::operator-> | ( |  | ) |

inline

template<typename TId , typename TValue >

bool osmium::index::multimap::HybridIterator< TId, TValue >::operator== | ( | const HybridIterator< TId, TValue > & | rhs | ) | const

inline

## Member Data Documentation

template<typename TId , typename TValue >

extra_map_type::iterator osmium::index::multimap::HybridIterator< TId, TValue >::m_begin_extra

private

template<typename TId , typename TValue >

main_map_type::iterator osmium::index::multimap::HybridIterator< TId, TValue >::m_begin_main

private

template<typename TId , typename TValue >

extra_map_type::iterator osmium::index::multimap::HybridIterator< TId, TValue >::m_end_extra

private

template<typename TId , typename TValue >

main_map_type::iterator osmium::index::multimap::HybridIterator< TId, TValue >::m_end_main

private

The documentation for this class was generated from the following file:

- osmium/index/multimap/hybrid.hpp